OGRE: Ogre::LodStrategyManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodStrategyManager Class Reference
Core » Level of Detail

Manager for LOD strategies. More...

`#include <OgreLodStrategyManager.h>`

Inheritance diagram for Ogre::LodStrategyManager:
[legend]

## Public Member Functions
| LodStrategyManager ()
| Default constructor.
| ~LodStrategyManager ()
| Destructor.
void | addStrategy (LodStrategy *strategy)
| Add a strategy to the manager.
LodStrategy * | getDefaultStrategy ()
| Get the current default strategy.
MapIterator< StrategyMap > | getIterator ()
| Get an iterator for all contained strategies.
LodStrategy * | getStrategy (const String &name)
| Get the strategy with the specified name.
void | removeAllStrategies ()
| Remove and delete all strategies from the manager.
LodStrategy * | removeStrategy (const String &name)
| Remove a strategy from the manager with a specified name.
void | setDefaultStrategy (const String &name)
| Set the default strategy by name.
void | setDefaultStrategy (LodStrategy *strategy)
| Set the default strategy.
Public Member Functions inherited from Ogre::Singleton< LodStrategyManager >
| ~Singleton (void)

## Static Public Member Functions
static LodStrategyManager & | getSingleton (void)
| Get the singleton instance.
static LodStrategyManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< LodStrategyManager >
static LodStrategyManager & | getSingleton (void)
| Get the singleton instance.
static LodStrategyManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Manager for LOD strategies.

## Constructor & Destructor Documentation

## ◆ LodStrategyManager()

Ogre::LodStrategyManager::LodStrategyManager | ( |  | ) |

Default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~LodStrategyManager()

Ogre::LodStrategyManager::~LodStrategyManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ addStrategy()

void Ogre::LodStrategyManager::addStrategy | ( | LodStrategy * | strategy | ) |

Add a strategy to the manager.

## ◆ removeStrategy()

LodStrategy * Ogre::LodStrategyManager::removeStrategy | ( | const String & | name | ) |

Remove a strategy from the manager with a specified name.

The removed strategy is returned so the user can control how it is destroyed.

## ◆ removeAllStrategies()

void Ogre::LodStrategyManager::removeAllStrategies | ( |  | ) |

Remove and delete all strategies from the manager.

All strategies are deleted. If finer control is required over strategy destruction, use removeStrategy.

## ◆ getStrategy()

LodStrategy * Ogre::LodStrategyManager::getStrategy | ( | const String & | name | ) |

Get the strategy with the specified name.

## ◆ setDefaultStrategy() [1/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | LodStrategy * | strategy | ) |

Set the default strategy.

## ◆ setDefaultStrategy() [2/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | const String & | name | ) |

Set the default strategy by name.

## ◆ getDefaultStrategy()

LodStrategy * Ogre::LodStrategyManager::getDefaultStrategy | ( |  | ) |

Get the current default strategy.

## ◆ getIterator()

MapIterator< StrategyMap > Ogre::LodStrategyManager::getIterator | ( |  | ) |

Get an iterator for all contained strategies.

## ◆ getSingleton()

LodStrategyManager & Ogre::LodStrategyManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References LodStrategyManager().

## ◆ getSingletonPtr()

LodStrategyManager * Ogre::LodStrategyManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References LodStrategyManager().

The documentation for this class was generated from the following file:

- OgreLodStrategyManager.h